com.verisign.epp.codec.loginsec.v1_0

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - com.verisign.epp.codec.loginsec.v1_0.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType>

      public enum EventType
      extends java.lang.Enum<EventType>

  Event types, which include the following possible values:
  - `PASSWORD` - Password expiry event type.
  - `CERTIFICATE` - Client certificate expiry event type.
  - `CIPHER` - Insecure or deprecated TLS cipher suite event type.
  - `TLS_PROTOCOL` - Insecure or deprecated TLS protocol event type.
  - `NEW_PW` - New password does not meet server password complexity requirements event type.
  - `STAT` - Login security statistical warning event type.
  - `CUSTOM` - Custom event type attribute like the "customName" attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERTIFICATE`
    `CIPHER`
    `CUSTOM`
    `NEW_PW`
    `PASSWORD`
    `STAT`
    `TLS_PROTOCOL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `getEventType(java.lang.String aString)` Get the event type enumerated value given the matching string.
    `java.lang.String` | `toString()` Convert the enumerated `EventType` value to a `String`.
    `static EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PASSWORD

          public static final EventType PASSWORD

    - #### CERTIFICATE

          public static final EventType CERTIFICATE

    - #### CIPHER

          public static final EventType CIPHER

    - #### TLS_PROTOCOL

          public static final EventType TLS_PROTOCOL

    - #### NEW_PW

          public static final EventType NEW_PW

    - #### STAT

          public static final EventType STAT

    - #### CUSTOM

          public static final EventType CUSTOM

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getEventType

          public static EventType getEventType(java.lang.String aString)

      Get the event type enumerated value given the matching string.
      Parameters:
        `aString` - `EventType` enumerated string to convert to an enumerated `EventType` instance.
      Returns:
        Enumerated `EventType` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `EventType` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `EventType` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EventType>`